---
type: docs
no_list: true
---

# <img src="/images/home-title.png" alt="Dapr Docs" width=400>

Welcome to the Dapr documentation site!

### Sections

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Concepts</b></h5>
      <p class="card-text">Learn about Dapr, including its main features and capabilities.</p>
      <a href="{{< ref concepts >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Getting started</b></h5>
      <p class="card-text">How to get up and running with Dapr in your environment in minutes.</p>
      <a href="{{< ref getting-started >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Developing applications</b></h5>
      <p class="card-text">Tools, tips, and information on how to build your application with Dapr.</p>
      <a href="{{< ref developing-applications >}}" class="stretched-link"></a>
    </div>
  </div>
</div>
<br />
<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Operations</b></h5>
      <p class="card-text">Hosting options, best-practices, and other guides and running your application on Dapr.</p>
      <a href="{{< ref operations >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Reference</b></h5>
      <p class="card-text">Detailed documentation on the Dapr API, CLI, bindings and more.</p>
      <a href="{{< ref reference >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Contributing</b></h5>
      <p class="card-text">How to contribute to the Dapr project and the various repositories.</p>
      <a href="{{< ref contributing >}}" class="stretched-link"></a>
    </div>
  </div>
</div>


### Tooling

<div class="media">
  <a class="pr-1" href="{{< ref ides >}}">
    <img class="mr-3" src="/images/homepage/vscode.svg" alt="Visual studio code icon" width=40>
  </a>
  <div class="media-body">
    <h5 class="mt-0"><b>IDE Integrations</b></h5>
    <p>Learn how to get up and running with Dapr in your preferred integrated development environment.</p>
  </div>
</div>
<div class="media">
  <a class="pr-1" href="{{< ref sdks >}}">
    <img class="mr-3" src="/images/homepage/code.svg" alt="Code icon" width=40>
  </a>
  <div class="media-body">
    <h5 class="mt-0"><b>Language SDKs</b></h5>
    <p>Create Dapr applications in your preferred language using the Dapr SDKs.</p>
    <div class="media mt-3">
      <a class="pr-3" href="{{< ref dotnet >}}">
        <img src="/images/homepage/dotnet.png" alt=".NET logo" width=30>
      </a>
      <div class="media-body">
        <h5 class="mt-0"><b>.NET</b></h5>
      </div>
    </div>
    <div class="media mt-3">
      <a class="pr-3" href="{{< ref python >}}">
        <img src="/images/homepage/python.png" alt="Python logo" width=30>
      </a>
      <div class="media-body">
        <h5 class="mt-0"><b>Python</b></h5>
      </div>
    </div>
    <div class="media mt-3">
      <a class="pr-4" href="{{< ref sdks >}}">
        <img src="/images/homepage/java.png" alt="Java logo" width=20>
      </a>
      <div class="media-body">
        <h5 class="mt-0"><b>Java</b></h5>
      </div>
    </div>
    <div class="media mt-3">
      <a class="pr-4" href="{{< ref sdks >}}">
        <img src="/images/homepage/golang.svg" alt="Go logo" width=30>
      </a>
      <div class="media-body">
        <h5 class="mt-0"><b>Go</b></h5>
      </div>
    </div>
    <div class="media mt-3">
      <a class="pr-4" href="{{< ref php >}}">
        <img src="/images/homepage/php.png" alt="PHP logo" width=30>
      </a>
      <div class="media-body">
        <h5 class="mt-0"><b>PHP</b></h5>
      </div>
    </div>
  </div>
</div>
<br />
